Bug 731523 - [RFE] Support for Hybrid Clouds - extending a private cloud out into a public coud [NEEDINFO]
Summary: [RFE] Support for Hybrid Clouds - extending a private cloud out into a public...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configserver
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
Assignee: Greg Blomquist
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 19:19 UTC by William Henry
Modified: 2014-01-14 16:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-14 16:45:32 UTC
athomas: needinfo? (mitch)


Attachments (Terms of Use)

Description William Henry 2011-08-17 19:19:55 UTC
Description of problem:

Customers want to be able to extend their private cloud into a public cloud without compromising their privacy.  Public clouds like Amazon support extending a private subnet into the public cloud using Virtual Private Cloud (VPC).  

"Amazon Virtual Private Cloud enables you to create a virtual network in the AWS cloud."

VPC allows you to create a gateway to your own private network, e.g. private cloud, and hence extend your private cloud.

The ability to take advantage of this feature is a most have for some customers. 

There are several user scenarios for VPC but one for large enterprises is extending a private network to the public cloud using VPC.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mike Orazi 2011-08-18 13:57:29 UTC
This is currently being tracked as a feature request for a future release.

Comment 2 William Henry 2011-08-19 17:12:49 UTC
This is a requirement for at least one customer in order that they would use the product.

Comment 3 wes hayutin 2011-08-30 19:38:31 UTC
Just confirming this is on a products requirement doc

Comment 4 jrd 2011-09-26 13:26:35 UTC
This sounds like a dandy feature.  It's rather outside the bounds of what we currently view as audrey.

In terms of handling situations like your customer with the immediate need, we'd have to know more about the details of what they want, in order to assess it, but our goal has been to accomodate things like this by allowing users and/or SAs to write whatever scripts they need to set up things like vpns/vpcs, and then allow for driving those scripts with audrey.

I believe that it continues to be a project/product goal to do a more comprehensive job of managing that stuff.  That will involve many components, probably including audrey, and won't happen until post 1.0.

I'm reassigning this to gblomquis for further comment, but I expect this will end up on the backlog for later.

Comment 5 William Henry 2011-09-27 23:57:25 UTC
So, most specifically for AWS, what's needed is to be able to pass the
"SubnetId" and "SecurityGroupId" attributes, and potentially
"PrivateIpAddress" to EC2's RunInstances() service:

http://docs.amazonwebservices.com/AWSEC2/latest/APIReference/index.html?ApiReference-query-RunInstances.html

Even if the user needs to enter in multiple mappings for the same
availability zone in the provider in order to get granularity they need
around launching instances with the right security and subnet
characteristics, that's better than not supporting this functionality at
all - it makes Aeolus a non-starter in supporting launching of instances
in a VPC or with a non-default security group.

Comment 6 wes hayutin 2011-09-28 16:37:43 UTC
making sure all the bugs are at the right version for future queries

Comment 8 Greg Blomquist 2011-10-05 15:11:54 UTC
Because this involves the call to RunInstances, I believe this would have to be done at the deltacloud ec2 driver level (Ec2Driver#create_instance).

I don't have a good idea of how we would make this information available to deltacloud (i.e., would the information specifying the need to be in a VPC originate in the deployableXML?).  I also don't have a good idea for how we would make this generic enough to be in deltacloud (i.e., if this was specified in the deployableXML, how would this be interpreted for RHEV? V-Sphere?)

Comment 9 Greg Blomquist 2011-11-07 21:57:24 UTC
John,

can you decide who actually owns this bug?  I think it's a deltacloud issue.

Comment 10 wes hayutin 2012-01-12 16:52:05 UTC
adding to sprint tracker

Comment 11 Greg Blomquist 2012-02-01 18:45:00 UTC
Updating version to 1.0 (found in version)

Adding cloudforms-1.1? flag (replacing original version setting)

Comment 12 Angus Thomas 2012-12-20 15:34:07 UTC
Mitch is to assess the level of customer demand for this feature.

Comment 14 Greg Blomquist 2014-01-14 16:45:32 UTC
Aeolus Config Server is end-of-life.  This will never be implemented.


Note You need to log in before you can comment on or make changes to this bug.